# stl_numeric.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_numeric.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _STL_NUMERIC_H

## Functions

- template<typename _InputIterator, typename _Tp, typename _BinaryOperation> _Tp std::accumulate (_InputIterator __first, _InputIterator __last, _Tp __init, _BinaryOperation __binary_op)
- template<typename _InputIterator, typename _Tp> _Tp std::accumulate (_InputIterator __first, _InputIterator __last, _Tp __init)
- template<typename _InputIterator, typename _OutputIterator, typename _BinaryOperation> _OutputIterator std::adjacent_difference (_InputIterator __first, _InputIterator __last, _OutputIterator __result, _BinaryOperation __binary_op)
- template<typename _InputIterator, typename _OutputIterator> _OutputIterator std::adjacent_difference (_InputIterator __first, _InputIterator __last, _OutputIterator __result)
- template<typename _InputIterator1, typename _InputIterator2, typename _Tp, typename _BinaryOperation1, typename _BinaryOperation2> _Tp std::inner_product (_InputIterator1 __first1, _InputIterator1 __last1, _InputIterator2 __first2, _Tp __init, _BinaryOperation1 __binary_op1, _BinaryOperation2 __binary_op2)
- template<typename _InputIterator1, typename _InputIterator2, typename _Tp> _Tp std::inner_product (_InputIterator1 __first1, _InputIterator1 __last1, _InputIterator2 __first2, _Tp __init)
- template<typename _InputIterator, typename _OutputIterator, typename _BinaryOperation> _OutputIterator std::partial_sum (_InputIterator __first, _InputIterator __last, _OutputIterator __result, _BinaryOperation __binary_op)
- template<typename _InputIterator, typename _OutputIterator> _OutputIterator std::partial_sum (_InputIterator __first, _InputIterator __last, _OutputIterator __result)